Page MenuHomePhabricator

Link to existing login help page by default from helplogin-url
Closed, ResolvedPublic

Description

helplogin-url is shown in a very prominent place by default and it should point to an existing page to avoid confusing users with links to nonexisting pages, similarly to bug 53862.

We have [[mw:Help:Logging in]], which given the author I assume ok and that can be made translatable when we are comfortable about the quality of its content (it had some "manual" translations on Meta). Linking it will help improve it, but it's already better than the default red link.


Version: 1.22.0
Severity: enhancement

Details

Reference
bz53888

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:59 AM
bzimport set Reference to bz53888.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Sep 7 2013, 7:32 AM

Change 83220 had a related patch set uploaded by Nemo bis:
Link to existing login help page by default from helplogin-url

https://gerrit.wikimedia.org/r/83220

Qgil added a comment.Sep 9 2013, 8:27 PM

Sorry but... where helplogin-url linked from in a fresh MediaWiki install? Can't find it.

(In reply to comment #2)

Sorry but... where helplogin-url linked from in a fresh MediaWiki install?
Can't find it.

You can find this sort of information in /qqq: https://translatewiki.net/wiki/MediaWiki:Helplogin-url/qqq
It's in Special:UserLogin.

Qgil added a comment.Sep 9 2013, 8:49 PM

Good idea. The wiki page needs improvement, thinking that users from other wikis will land there for basic help. Currently for those users the wiki page will look like a wall of text.

Qgil added a comment.Sep 9 2013, 9:05 PM

By the way, we should agree on a common style for these external links (if we don't have it already). I believe they should have the arrow of external link and open in a new page.

(In reply to comment #5)

By the way, we should agree on a common style for these external links (if we
don't have it already). I believe they should have the arrow of external link
and open in a new page.

Yes, that's worth a separate bug to standardise old and new ones; add it as a blocker of bug 43591 please. We'll also need a standard icon for the cases where a simple link with label is not possible/appropriate (probably something as the Translate extension does), one more reason to file the bug.

[Bumping TM as MediaWiki 1.22.0 tarball was released today.]

Change 83220 merged by jenkins-bot:
Link to existing login help page by default from helplogin-url

https://gerrit.wikimedia.org/r/83220

Thanks MatmaRex and thanks everyone for comments, code review and rebase/unit test help.
The change was also notified on

Change 119489 had a related patch set uploaded by Nemo bis:
Link to existing login help page by default from helplogin-url

https://gerrit.wikimedia.org/r/119489

Change 119489 merged by jenkins-bot:
Link to existing login help page by default from helplogin-url

https://gerrit.wikimedia.org/r/119489